﻿
/*過場動畫*/

.dt-loading-2 {
    width: 100%;
    height: 100vh;
    display: table;
    position: fixed;
    top: 0;
    z-index: 99999;
    transition: all .4s linear;
    background-color: #FFF;
}

.laying-2 {
   display: table-cell;
   vertical-align: middle;
}

.loading-logo-box{
    width: 154px;
    display: block;
    position: relative;
    margin: 0 auto;
    overflow: hidden;
}
.loading-log{
    width: 100%;
    display: block;
    position: relative;
 
}
.loading-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    background: #FFF;
    right: 0%;
    animation:  right2 2s linear 0s 1 forwards;

}

/*fancy-box*/

.fancybox-table{
    width: 100%;
    height: 100vh;
    display: table;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    opacity: 0;
    pointer-events: none;
}
.fancybox-table.active{
    opacity: 1;
    pointer-events: inherit;
}
.fancybox-table-mid{
    display: table-cell;
    vertical-align: middle;
}
.fancybox-box{
    width: 800px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 3;
}
.fancybox-img-box{
    box-sizing: border-box;
    padding: 10px 10px;
    background-color: rgba(181,181,181,1);
    margin-bottom: 10px;
}
.fancybox-img{
    width: 100%;
    height: 600px;
    display: block;
}
.fancybox-small-box{
    width: 520px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 3;
}
.fancybox-small-img-box{
    width: 100%;
    height: 100px;
    display: block;
    background-color: rgba(181,181,181,1);
    box-sizing: border-box;
    padding: 10px 20px;
    text-align: center;
}
.fancybox-small-img{
    width: 80px;
    height: 80px;
    margin-left: 20px;
    display: inline-block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.fancybox-article{
    max-height: calc(100vh - 700px);
    overflow: auto;
}
.fancybox-article-title{
    font-size: 20px;
    color: #FFF;
    letter-spacing: 2px;
}
.fancybox-article-p{
    font-size: 16px;
    display: block;
    color: #FFF;
}

.fancybox-mask-box{
    width: 100%;
    height: 100%;
    display: block;
    background-color: rgba(0,0,0,0.6);
    position: fixed;
    top: 0;
    left: 0;
}
.fancybox-close{
    width: 40px;
    height: 40px;
    line-height: 40px;
    font-size: 20px;
    color: #000;
    text-align: center;
    position: absolute;
    top: -20px;
    right: -20px;
    background-color: #ddd;
    cursor: pointer;
    z-index: 3;
}
.body-close{
    overflow: hidden;

}
.body-close::-webkit-scrollbar{
    display:none;
}

.fancybox-link{
    position: fixed;
    text-align: center;
    top: calc(50% - 31px);
}
.news-prev{
    right: calc(50% + 427px);
}
.news-next{
    left: calc(50% + 427px);
}
.fancybox-link i{
    font-size: 24px;
    color: #FFF;
    display: block;
    margin-bottom: 10px;
}
.fancybox-link p{
    font-size: 18px;
    color: #FFF;
}
.fancybox-block{
    width: 100%;
    max-height: 100vh;
    overflow: auto;

}
.fancybox-block::-webkit-scrollbar{
    display:none;
}
.fancybox-table-mid .slick-prev,
.fancybox-table-mid .slick-next{
    margin-top: 0;
}

/*----------------------------*/

.rwd-menu-class-list{
    width: 100%;
    height: 46px;
    border: 1px solid #888;
    font-size: 16px;
    letter-spacing: 1px;
    text-align: center;
    display: none;
    line-height: 46px;
    position: relative;
    box-sizing: border-box;
}
.rwd-menu-class-list:after {
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 10px solid transparent;
    border-top: 10px solid #888;
    border-left: 10px solid transparent;
    display: block;
    position: absolute;
    bottom: calc(50% - 5px);
    right: 5%;
    box-sizing: border-box;
}

@media only screen and (max-width: 850px){
    .fancybox-box{
        width: 600px;
    }
    .fancybox-img{
        height: 450px;
    }
}
@media only screen and (max-width: 650px){
    .fancybox-box{
        width: 400px;
    }
    .fancybox-img{
        height: 300px;
    }
    .fancybox-small-box{
        width: 320px;
    }
}
@media only screen and (max-width: 450px){
    .fancybox-box{
        width: 300px;
    }
    .fancybox-img{
        height: 225px;
    }
    .fancybox-small-img-box{
        height: 70px;
        padding: 10px;
    }
    .fancybox-small-img{
        width: 50px;
        height: 50px;
        margin-left: 10px;
    }
    .fancybox-small-box{
        width: 190px;
    }
    .fancybox-close{
        width: 30px;
        height: 30px;
        line-height: 30px;
        top: -50px;
        right: 0;
    }
}



/*animation*/
/*<-------------動畫------------->*/

@keyframes animation_scaleY {
    0%{
        transform:  scaleY(0);
    }
    to {
        transform:  scaleY(1);
        opacity: 1;
    }
}
@keyframes animation_scaleX {
    0%{
        transform:  scaleX(0);
    }
    to {
        transform:  scaleX(1);
        opacity: 1;
        z-index: 2;
    }
}
@keyframes animation_scaleX_out {
    0%{
        transform:  scaleX(1);
    }
    50%{
        opacity: 0.6;
    }
    to {
        transform:  scaleX(0);
        opacity: 0;
    }
}
@keyframes animation_scaleX_ch {
    0%{
        transform:  scaleX(0);
    }
    to {
        transform:  scaleX(1);
        opacity: 0.5;
        z-index: 0;
    }
}
@keyframes animation_fade {
    0%{
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes animation_rtol {
    0%{
        transform: translateX(50px);
    }
    to {
        transform: translateX(0px);
        opacity: 1;
    }
}
@keyframes animation_ltor {
    0%{
        transform: translateX(-50px);
    }
    to {
        transform: translateX(0px);
        opacity: 1;
    }
}
@keyframes animation_ttob {
    0%{
        transform: translateY(-50px);
    }
    to {
        transform: translateY(0px);
        opacity: 1;
    }
}
@keyframes animation_btot {
    0%{
        transform: translateY(50px);
    }
    to {
        transform: translateY(0px);
        opacity: 1;
    }
}
@keyframes animation_width {
    0%{
        width: 0;
    }
    to {
        opacity: 1;
        width: 100%;
    }
}
@keyframes animation_widthZero {
    0%{
        width: 100%;
        background-color: #fff;
    }
    to {
        opacity: 1;
    }
}
@keyframes animation_rotateIn {
    0%{
        transform: rotate(-720deg);
        opacity: 0;
    }
    to {
        opacity: 1;
        transform: rotate(0deg);
    }
}
@keyframes animation_rotateIn_forCenter {
    0%{
        transform: rotate(-720deg);
        opacity: 0;
    }
    to {
        opacity: 1;
        transform: rotate(45deg);
    }
}
@keyframes animation_big_ltor {
    0%{
        transform: translateX(-500px);
        opacity: 0;
    }
    to {
        transform: translateX(0px);
        opacity: 1;
    }
}
@keyframes animation_big_rtol {
    0%{
        transform: translateX(500px);
        opacity: 0;
    }
    to {
        transform: translateX(0px);
        opacity: 1;
    }
}

@media only screen and (min-width: 1001px){
    .index-service-info-mash,
    .index-service-info-text-box h2,
    .index-service-info-text-box h3,
    .index-service-info-text-box span,
    .index-news-title-box,
    .index-news-title-box span,
    .index-news-attractions,
    .index-news-more-box{
        opacity: 0;
    }
    .index-service-info-ani.active{
        animation: animation_scaleX_out .4s ease 0s both;
        transform-origin: 100% 50%;
    }
    .index-service-info-box:nth-child(odd) .index-service-info-ani.active{
        transform-origin: 0% 50%;
    }
    .index-service-info-mash.active{
        animation: animation_scaleX_ch .8s ease .4s both;
        transform-origin: 0% 50%;
        opacity: 0.5;
    }
    .index-service-info-box:nth-child(odd) .index-service-info-mash.active{
        transform-origin: 100% 50%;
    }
    .index-service-info-text-box h2.active{
        animation: animation_fade .4s linear .4s both;
    }
    .index-service-info-text-box h3.active{
        animation: animation_fade .4s linear .5s both;
    }
    .index-service-info-text-box span.active{
        animation: animation_fade .4s linear .5s both;
    }
    .index-news-title-box.active{
        animation: animation_fade 1s ease 0s both;
    }
    .index-news-title-box.active span{
        animation: animation_ltor 1s ease .5s both;
    }
    .index-news-attractions.active,
    .index-news-more-box.active{
        animation: animation_btot 1s ease 0s both;
    }
}